JBoss Fuse Adapter

Currently Keycloak supports securing your web applications running inside JBoss Fuse.

It leverages Jetty 9 adapter as JBoss Fuse 6.3.0.0.Final is bundled with Jetty 9.2 server under the covers and Jetty is used for running various kinds of web applications.

Warning
The only supported version of Fuse is JBoss Fuse 6.3.0.0.Final. If you use earlier versions of Fuse, it is possible that some functions will not work correctly. In particular, the Hawtio integration will not work with earlier versions of Fuse.

Security for the following items is supported for Fuse:

Securing Your Web Applications Inside Fuse

You must first install the Keycloak Karaf feature. Next you will need to perform the steps according to the type of application you want to secure. All referenced web applications require injecting the Keycloak Jetty authenticator into the underlying Jetty server. The steps to achieve this depend on the application type. The details are described below.

The best place to start is look at Fuse demo bundled as part of Keycloak examples in directory fuse . Most of the steps should be understandable from testing and understanding the demo.